export * from '../../utils/composition';
export declare const useBoPlusLayout: <I extends {
    layout: any;
}>(input: I) => I & {
    styles: any;
    appliedOptions: import("vue").ComputedRef<any>;
};
export declare const useBoPlusVanillaControl: <I extends {
    control: any;
    handleChange: any;
}>(input: I, adaptTarget?: (target: any) => any) => I & {
    styles: import("@jsonforms/vue-vanilla").Styles & import("../../utils").BopStyles;
    isFocused: import("vue").Ref<boolean>;
    appliedOptions: import("vue").ComputedRef<any>;
    controlWrapper: import("vue").ComputedRef<{
        id: any;
        description: any;
        errors: any;
        label: any;
        visible: any;
        required: any;
    }>;
    onChange: (event: Event) => void;
};
/**
 * Adds styles, appliedOptions and childUiSchema
 */
export declare const useBoPlusArrayControl: <I extends {
    control: any;
}>(input: I) => I & {
    styles: import("@jsonforms/vue-vanilla").Styles;
    appliedOptions: import("vue").ComputedRef<any>;
    childLabelForIndex: (index: number | null) => string;
    computedLabel: import("vue").ComputedRef<string>;
};
